package com.cool.store.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "面试预约")
public class CreateAppointmentReq {
    @ApiModelProperty(value = "加盟商用户ID", required = true)
    private String partnerId;
    @ApiModelProperty(value = "面试官id")
    private String interviewerId;

    @ApiModelProperty(value = "预约开始时间 (YYYY-MM-DD hh:mm:ss)", required = true)
    private String startBookingTime;

    @ApiModelProperty(value = "预约结束时间 (YYYY-MM-DD hh:mm:ss)", required = true)
    private String endBookingTime;
    @ApiModelProperty(value = "线索id(如果面试官id，会根据加盟商id和线索id查询面试官)", required = true)
    private Long partnerLineId;

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getInterviewerId() {
        return interviewerId;
    }

    public void setInterviewerId(String interviewerId) {
        this.interviewerId = interviewerId;
    }

    public Long getPartnerLineId() {
        return partnerLineId;
    }

    public void setPartnerLineId(Long partnerLineId) {
        this.partnerLineId = partnerLineId;
    }

    public String getStartBookingTime() {
        return startBookingTime;
    }

    public void setStartBookingTime(String startBookingTime) {
        this.startBookingTime = startBookingTime;
    }

    public String getEndBookingTime() {
        return endBookingTime;
    }

    public void setEndBookingTime(String endBookingTime) {
        this.endBookingTime = endBookingTime;
    }

}
